Package Gnumed :: Package timelinelib :: Package wxgui :: Package components :: Module search :: Class SearchBarController |
[frames] | no frames]

# Class SearchBarController

source code

    object --+
             |
            SearchBarController

Instance Methods
__init__(self, view) x.__init__(...) initializes x; see help(type(x)) for signature | source code
set_timeline_canvas(self, timeline_canvas) | source code
search(self) | source code
next(self) | source code
prev(self) | source code
list(self) | source code
navigate_to_match(self) | source code
enable_backward(self) | source code
enable_forward(self) | source code
enable_list(self) | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, view) (Constructor) | source code
x.__init__(...) initializes x; see help(type(x)) for signature Overrides: object.__init__ (inherited documentation)